package cn.com.ctop.job.kuaishou.handler;


import cn.com.ctop.alarm.modules.service.IRuleGroupService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class KuaiShouAlarmRuleJob {
    @Autowired
    private IRuleGroupService ruleGroupService;

    /**
     * 定时任务
     *
     * @param
     * @return
     * @throws
     * @author ZHAOXA
     */
    @XxlJob("kuaiShoualarmRuleJob")
    public void execute() throws Exception {
        ruleGroupService.checkRules();
    }
}
